Subject: Re: [PATCH] powerpc kvm: fix kvmppc_start_thread() for CONFIG_SMP=N

From: Alexander Graf <[email-masked]>
Date: Fri, 11 Nov 2011 17:01:56 +0100

On 11/11/2011 03:03 AM, Michael Neuling wrote:
> Currently kvmppc_start_thread() tries to wake other SMT threads via
> xics_wake_cpu().  Unfortunately xics_wake_cpu only exists when
> CONFIG_SMP=Y so when compiling with CONFIG_SMP=N we get:
>
>    arch/powerpc/kvm/built-in.o: In function `.kvmppc_start_thread':
>    book3s_hv.c:(.text+0xa1e0): undefined reference to `.xics_wake_cpu'
>
> The following should be fine since kvmppc_start_thread() shouldn't
> called to start non-zero threads when SMP=N since threads_per_core=1.
>
> Signed-off-by: Michael Neuling<[email-masked]>

Thanks, applied to kvm-ppc-next. Please CC kvm-ppc@vger next time :).

Alex